#include <iostream>
#include <cmath> // Para usar a função abs
using namespace std;

int main() {
    while (true) {
        int d;

        // Entrada do valor de d
        cout << "Digite d (0 para sair): ";
        cin >> d;

        if (d == 0) {
            break;
        }

        int resp = 2000;
        int ponto = 0;

        while (ponto <= 2000) {
            int dist_ponto = abs(d - ponto);
            resp = min(resp, dist_ponto);
            ponto += 400;
        }

        cout << resp << endl;
    }

    return 0;
}
